Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000893 [1003.1(2013)/Issue7+TC1] System Interfaces Editorial Error 2014-11-14 02:41 2015-02-26 17:08
Reporter safinaskar View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Askar Safin
Organization
User Reference
Section chmod
Page Number POSIX 2008, 2013 edition, page 662
Line Number 22438
Interp Status ---
Final Accepted Text see Note: 0002437
Summary 0000893: stat("home/cnd/mod1", &buffer;);
Description - 22438 status = stat("home/cnd/mod1", &buffer;);
+ 22438 status = stat("home/cnd/mod1", &buffer);
Desired Action Fix
Tags tc2-2008
Attached Files

- Relationships

-  Notes
(0002437)
nick (manager)
2014-11-18 00:21
edited on: 2015-02-26 17:07

ACTION: at lines 22437 and 22438 change
chmod("home/cnd/mod1", S_IRWXU|S_IRWXG|S_IROTH|S_IWOTH);
status = stat("home/cnd/mod1", &buffer;);

to
chmod("/home/cnd/mod1", S_IRWXU|S_IRWXG|S_IROTH|S_IWOTH);
status = stat("/home/cnd/mod1", &buffer);



- Issue History
Date Modified Username Field Change
2014-11-14 02:41 safinaskar New Issue
2014-11-14 02:41 safinaskar Name => Askar Safin
2014-11-14 02:41 safinaskar Section => chmod
2014-11-14 02:41 safinaskar Page Number => POSIX 2008, 2013 edition, page 662
2014-11-14 02:41 safinaskar Line Number => 22438
2014-11-18 00:21 nick Note Added: 0002437
2014-11-18 00:22 nick Note Edited: 0002437
2015-02-26 17:07 nick Note Edited: 0002437
2015-02-26 17:08 nick Interp Status => ---
2015-02-26 17:08 nick Final Accepted Text => see Note: 0002437
2015-02-26 17:08 nick Status New => Resolved
2015-02-26 17:08 nick Resolution Open => Accepted As Marked
2015-02-26 17:08 nick Tag Attached: tc2-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker